# Class GetFundingAddressesReply

#### Hierarchy

- unknown
  - GetFundingAddressesReply

- Defined in src/protobuf/grpc_pb.d.ts:3430
- Defined in src/protobuf/grpc_pb.d.ts:3444

#####
Index

### Constructors

constructor

### Methods

addAddressBalanceInfo
clearAddressBalanceInfoList
getAddressBalanceInfoList
serializeBinary
setAddressBalanceInfoList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetFundingAddressesReply(): GetFundingAddressesReply

- #### Returns GetFundingAddressesReply

  Inherited from jspb.Message.constructor

## Methods

### addAddressBalanceInfo

- addAddressBalanceInfo(value?: AddressBalanceInfo, index?: number): AddressBalanceInfo

- #### Parameters

  - ##### `Optional` value: AddressBalanceInfo

  - ##### `Optional` index: number

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3434

### clearAddressBalanceInfoList

- clearAddressBalanceInfoList(): GetFundingAddressesReply

- #### Returns GetFundingAddressesReply

  - Defined in src/protobuf/grpc_pb.d.ts:3433

### getAddressBalanceInfoList

- getAddressBalanceInfoList(): AddressBalanceInfo[]

- #### Returns AddressBalanceInfo[]

  - Defined in src/protobuf/grpc_pb.d.ts:3431

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3436

### setAddressBalanceInfoList

- setAddressBalanceInfoList(value: AddressBalanceInfo[]): GetFundingAddressesReply

- #### Parameters

  - ##### value: AddressBalanceInfo[]

  #### Returns GetFundingAddressesReply

  - Defined in src/protobuf/grpc_pb.d.ts:3432

### toObject

- toObject(includeInstance?: boolean): GetFundingAddressesReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetFundingAddressesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3437

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetFundingAddressesReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetFundingAddressesReply

  - Defined in src/protobuf/grpc_pb.d.ts:3440

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetFundingAddressesReply, reader: BinaryReader): GetFundingAddressesReply

- #### Parameters

  - ##### message: GetFundingAddressesReply

  - ##### reader: BinaryReader

  #### Returns GetFundingAddressesReply

  - Defined in src/protobuf/grpc_pb.d.ts:3441

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetFundingAddressesReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetFundingAddressesReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3439

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetFundingAddressesReply): GetFundingAddressesReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetFundingAddressesReply

  #### Returns GetFundingAddressesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3438

Generated using TypeDoc